Get checklist item

Get checklist item. See the OpenAPI-defined parameters, request body, and responses below.

GET /ChecklistItem/{id}

Get checklist item. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de um item de checklist especificado pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/ChecklistItem/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar o itemapplication/json · ChecklistItemDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "enable": true,
  "prompt": "string",
  "maxScore": 0,
  "highImportance": true,
  "setScoreToZero": true,
  "checklistGroupId": 0,
  "integrationId": "string",
  "checklistId": 0,
  "checklistItemGroupId": 0,
  "checklistItemScriptId": 0,
  "canDelete": true
}

Data models

ChecklistItemDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
enablebooleanNo——
promptstringNo—nullable
maxScoreinteger · int32No——
highImportancebooleanNo——
setScoreToZerobooleanNo——
checklistGroupIdinteger · int32No——
integrationIdstringNo—nullable
checklistIdinteger · int32No——
checklistItemGroupIdinteger · int32No——
checklistItemScriptIdinteger · int32No——
canDeletebooleanNo——